import java.util.*;
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        ArrayList<Integer> broj_stalaktita = new ArrayList<>();
        System.out.println("Unesi broj stalaktita");
        int broj_za_stalaktite  =sc.nextInt();
        System.out.println("Ovo su duzine stalaktita");
        for(int i = 0 ; i < broj_za_stalaktite ; i++)
        {

            broj_stalaktita.add((int)(Math.random() * 200) + 1);
        }
        System.out.println(broj_stalaktita);
        System.out.println("Unesi visinu programera");
        int visina_programera = sc.nextInt();
        for (int i = 0 ; i < broj_stalaktita.size() ; i++) {
            if(visina_programera > broj_stalaktita.get(i))
                System.out.println("Prosao");
else {
                System.out.println(i+1);
                System.out.println("-1");break;
            }
        }
    }
}